- [HTTP request](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.request_body)
- [Response body](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.ListActuationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations/list#try-it)

Lists Actuations in a given project, location and deployment.

### HTTP request

`GET https://workloadmanager.googleapis.com/v1/{parent=projects/*/locations/*/deployments/*}/actuations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource prefix of the Actuation using the form: 'projects/{projectId}/locations/{location}/deployments/{deployment}'. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results. |
| `orderBy` | `string` Optional. Field to sort by. See <https://google.aip.dev/132#ordering> for more details. |

### Request body

The request body must be empty.

### Response body

The response object from `actuations.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "actuations": [ { object (`https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations#Actuation`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `actuations[]` | ``object (`https://docs.cloud.google.com/workload-manager/docs/reference/rest/v1/projects.locations.deployments.actuations#Actuation`)`` The list of actuations. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`